*, ::before, ::after{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body{
    height: auto;
    font-family: 'Montserrat', sans-serif;
    color: #FFFFF4;
    background: black;
}
img{
    /* garder ratio d'une image  */
    object-fit: cover;
    display: block;
    max-width: 100%;  /* si elle n'a plus la place, elle va se reduire */
}
p{
    font-size: clamp(13px, 10vw, 20px);
}
h1, h2, h3, h5, h6{
    font-family: 'Cormorant Garamond', serif;
    font-weight: 400;
    text-transform: uppercase;
    color: #FFFFF4;
    text-align: center;
}
h1{
    font-size: clamp(90px, 10vw, 300px);
}
h3{
    font-size: clamp(30px, 10vw, 70px);
}
.landing{
    height: 100vh;
    width: 100%;
    background: url(./images/pexels-alex-andrews-861440.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
.landing h1{
    margin-bottom: 40%;
}

/* Loader */
.loader{
    position: absolute; /* passe au-dessus du landing */
    width: 100%;
    height: 100%;
    background: rgb(55, 53, 53);
    display: flex;
    justify-content: center;
    align-items: center;

}
.load-letter{
    color: #efd9d1;
    font-size: 80px;
    letter-spacing: 15px;
    margin-bottom: 150px;
    animation: flash 1.2s linear infinite;
}
@keyframes flash{
    /* Neon effect like heart beats */
    0%{
        color: #EFB7B7;
        /* glowy blur of 7px */
        text-shadow: 0 0 7px #EFB7B7;
    }
    90%{
        color: #eee8e8;
        text-shadow: none;
    }
    100%{
        color: #EFB7B7;
        text-shadow: 0 0 7px #EFB7B7;
    }
}
/* Delay effect one letter after another starting with 1st child */
.load-letter:nth-child(1){
     animation-delay: .1s;
}
.load-letter:nth-child(2){
    animation-delay: .2s;
}
.load-letter:nth-child(3){
    animation-delay: .3s;
}
.load-letter:nth-child(4){
    animation-delay: .4s;
}
.load-letter:nth-child(5){
    animation-delay: .5s;
}
.load-letter:nth-child(6){
    animation-delay: .6s;
}
/* Overlay to have the loading letters disapear when the page is completely loaded */
/* ease-out = slower opacity at the end */
.fading-out{
    opacity: 0;
    transition: opacity .4s ease-out;
}

/* h1 letter animation from the right */
.animation .letter{
    display: inline-block;
}

/* Scroll reveal testing */
.scroll-container{
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}
.scroll1{
    color: #d3d3ca;
}
.scroll2{
    color: #9d9d94;
}

/* ipad */
@media screen and (max-width: 768px){
    .landing h1{
        margin-bottom: 70%;
    }
}

/* 414×896 => iPhone 6/7/8+ */
@media screen and (max-width: 415px){
    .landing h1{
        margin-bottom: 100% !important;
    }
}

/* 360×640 => Galaxy S5 */
@media screen and (max-width: 360px){
    .landing h1{
        /* margin-bottom: 99% !important; */
        font-size: 73px;
    }
}